package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag992;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT992Creator;

public class Tag11SCreator extends AbsTagCreate {
    private MT992Creator mt992Creator;

    public Tag11SCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt992Creator= (MT992Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11SValue = mt992Creator.getMtandDateoftheOriginalMessage();
        mt992Creator.set("11S", tag11SValue);
    }
}
